Bug 246025 (taglib-1.12-b1) - [exp-run] Update audio/taglib to 1.12-beta1
Summary: [exp-run] Update audio/taglib to 1.12-beta1
Status: Closed FIXED
Alias: taglib-1.12-b1
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D23260
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-29 13:04 UTC by Tobias C. Berner
Modified: 2020-05-04 18:16 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (19.49 KB, patch)
2020-04-29 13:04 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2020-04-29 13:04:02 UTC
Created attachment 213910 [details]
v1

Moin moin 


I would like to ask for an exp-run to upgrade audio/taglib to 1.12-b1 (CVEs).

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/taglib-1.12b1.v1.diff

mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2020-05-02 08:47:56 UTC
Exp-run looks fine
Comment 2 commit-hook freebsd_committer 2020-05-02 09:57:53 UTC
A commit references this bug:

Author: tcberner
Date: Sat May  2 09:57:25 UTC 2020
New revision: 533680
URL: https://svnweb.freebsd.org/changeset/ports/533680

Log:
  audio/taglib: update to 1.12-beta1

  PR:		246025
  Exp-run by:	antoine
  Submitted by:	Daniel Engberg  <daniel.engberg.lists@pyret.net>
  Approved by:	jhale (timeout)
  MFH:		2020Q2
  Security:	CVE-2018-11439
  Differential Revision:	https://reviews.freebsd.org/D23260

Changes:
  head/audio/taglib/Makefile
  head/audio/taglib/distinfo
  head/audio/taglib/files/extrapatch-rcc
  head/audio/taglib/pkg-plist
Comment 3 commit-hook freebsd_committer 2020-05-03 07:50:59 UTC
A commit references this bug:

Author: tcberner
Date: Sun May  3 07:49:57 UTC 2020
New revision: 533757
URL: https://svnweb.freebsd.org/changeset/ports/533757

Log:
  MFH: r533680

  audio/taglib: update to 1.12-beta1

  PR:		246025
  Exp-run by:	antoine
  Submitted by:	Daniel Engberg  <daniel.engberg.lists@pyret.net>
  Approved by:	jhale (timeout)
  Security:	CVE-2018-11439
  Differential Revision:	https://reviews.freebsd.org/D23260

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/audio/taglib/Makefile
  branches/2020Q2/audio/taglib/distinfo
  branches/2020Q2/audio/taglib/files/extrapatch-rcc
  branches/2020Q2/audio/taglib/pkg-plist
Comment 4 Tobias C. Berner freebsd_committer 2020-05-04 18:16:51 UTC
Committed. Thanks for the exp-run.